> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# List all account tax lines

> Returns a list of account tax lines. NOTE: QuickBooks Desktop does not support pagination for account tax lines; hence, there is no `cursor` parameter. Users typically have few account tax lines.



## OpenAPI

````yaml GET /quickbooks-desktop/account-tax-lines
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/account-tax-lines:
    get:
      summary: List all account tax lines
      description: >-
        Returns a list of account tax lines. NOTE: QuickBooks Desktop does not
        support pagination for account tax lines; hence, there is no `cursor`
        parameter. Users typically have few account tax lines.
      parameters:
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: Returns a list of account tax lines.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                properties:
                  objectType:
                    type: string
                    const: list
                    description: The type of object. This value is always `"list"`.
                    example: list
                  url:
                    type: string
                    description: The endpoint URL where this list can be accessed.
                    example: /v1/quickbooks-desktop/account-tax-lines
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/qbd_account_tax_line'
                    description: The array of account tax lines.
                required:
                  - objectType
                  - url
                  - data
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Conductor from 'conductor-node';

            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });

            const accountTaxLines = await conductor.qbd.accountTaxLines.list({
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });

            console.log(accountTaxLines.data);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            account_tax_lines = conductor.qbd.account_tax_lines.list(
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(account_tax_lines.data)
components:
  schemas:
    qbd_account_tax_line:
      type: object
      properties:
        taxLineId:
          type: number
          description: >-
            The identifier of the tax line associated with this account tax
            line. You can see a list of all available values for this field by
            calling the endpoint for account tax lines.
          example: 123
        taxLineName:
          type:
            - string
            - 'null'
          description: >-
            The name of the tax line associated with this account tax line, as
            it appears on the tax form.
          example: State Sales Tax
      required:
        - taxLineId
        - taxLineName
      additionalProperties: false
      title: The Account Tax Line object
      x-conductor-object-type: other
      summary: >-
        A tax line maps specific income and expense accounts to federal tax form
        lines for tax reporting purposes.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).